> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dmf Search

> Retrieve the DMF search results.



## OpenAPI

````yaml /api-reference/openapi.json get /dmf/searches/{id}
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /dmf/searches/{id}:
    get:
      tags:
        - Death Master File
      summary: Get Dmf Search
      description: Retrieve the DMF search results.
      operationId: get_dmf_search_dmf_searches__id__get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Id
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1.DMFResponse'
            application/vnd.baselayer.v1+json:
              schema:
                $ref: '#/components/schemas/v1.DMFResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.DMFResponse:
      properties:
        id:
          description: The ID of the DMF search request
          format: uuid
          title: Id
          type: string
        code:
          $ref: '#/components/schemas/v1.DMFCode'
          description: The code of the DMF search response
          examples:
            - DMF
        count:
          description: The number of results returned by the DMF search
          examples:
            - 0
            - 1
            - 10
          title: Count
          type: integer
        details:
          default: []
          description: The details of the DMF search response
          items:
            $ref: '#/components/schemas/v1.DMFResponseDetails'
          title: Details
          type: array
        state:
          $ref: '#/components/schemas/v1.TaskState'
          description: The status of the DMF search request
          examples:
            - COMPLETED
        error:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Any errors that occurred during the DMF search request.
          examples:
            - TimeoutError The IRS could not be reached.
          title: Error
      required:
        - id
        - code
        - count
        - state
      title: DMFResponse (v1)
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    v1.DMFCode:
      enum:
        - DMF
      title: DMFCode
      type: string
    v1.DMFResponseDetails:
      properties:
        dmf_id:
          description: The DMF ID of the person of interest
          examples:
            - '8237172'
          title: Dmf Id
          type: string
        ssn:
          description: The social security number of the person of interest
          examples:
            - 917-322-9999
          title: Ssn
          type: string
        name:
          description: The name of the person of interest
          examples:
            - Sandra Carlson
          title: Name
          type: string
        death_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          default: null
          description: The date of death of the person of interest
          examples:
            - '2023-09-15'
          title: Death Date
        death_date_precision:
          anyOf:
            - $ref: '#/components/schemas/v1.DateType'
            - type: 'null'
          default: null
          description: >-
            The date precision of the date of death of the person of interest.
            If date type is MONTH the day should be ignored
          examples:
            - DAY
            - MONTH
        birth_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          default: null
          description: The date of birth of the person of interest
          examples:
            - '1982-11-27'
          title: Birth Date
        birth_date_precision:
          anyOf:
            - $ref: '#/components/schemas/v1.DateType'
            - type: 'null'
          default: null
          description: >-
            The date precision of the date of birth of the person of interest.
            If date type is MONTH the day should be ignored
          examples:
            - MONTH
            - DAY
        state_of_residency:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The state of residency of the person of interest
          examples:
            - California
          title: State Of Residency
        zip_code_of_residency:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The zip code of residency of the person of interest
          examples:
            - '90210'
          title: Zip Code Of Residency
      required:
        - dmf_id
        - ssn
        - name
      title: DMFResponseDetails (v1)
      type: object
    v1.TaskState:
      enum:
        - PENDING
        - EXECUTING
        - COMPLETED
        - FAILED
        - CANCELLED
      title: TaskState
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    v1.DateType:
      enum:
        - DAY
        - MONTH
      title: DateType
      type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````